Flickr API now requires use of https for endpoint

Bug #1397068 reported by Darren James Harkness on 2014-11-27
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Darren James Harkness
1.10
Medium
Unassigned
1.8
Medium
Unassigned
1.9
Medium
Unassigned
15.04
Medium
Darren James Harkness

Bug Description

The Flickr API now requires the use of https to access api.flickr.com for all new application keys (see http://code.flickr.net/2014/04/30/flickr-api-going-ssl-only-on-june-27th-2014/).

This is causing an issue with the external gallery, where a Flickr set is not displayed, because the cURL request reports back an invalid API key.

Replacing the http:// call with an https:// call in artefact/file/blocktype/gallery/lib.php:163 resolves the issue.

Replacement patch run from Mahara root directory, instead of from within htdocs/artefact/file/blocktype/gallery.

Hello Darren,

Thank you for your patch. I'll ask a developer to put it into our code review system https://reviews.mahara.org

In future, if you wish to submit other patches, you are welcome to do it directly into the review system. See https://wiki.mahara.org/index.php/Developer_Area/Contributing_Code for more information.

Cheers
Kristina

Changed in mahara:
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Darren James Harkness (darren-athabascau)
milestone: none → 15.04.0
Son Nguyen (ngson2000) wrote :

I've also updated this change in other places of mahara

Reviewed: https://reviews.mahara.org/4046
Committed: http://gitorious.org/mahara/mahara/commit/4c93b2d3314b71f8cb48520eb0d3e3f301c08622
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit 4c93b2d3314b71f8cb48520eb0d3e3f301c08622
Author: Darren James Harkness <email address hidden>
Date: Mon Dec 1 07:15:18 2014 +1300

Using https for flickr request url (Bug #1397068)

Requires https now - used to work with http but no longer

Change-Id: I4aae1d36c532dcdfc96b5a4a673910b654ea9a2c
Signed-off-by: Robert Lyon <email address hidden>

Aaron Wells (u-aaronw) on 2014-12-04
Changed in mahara:
status: In Progress → Fix Committed
no longer affects: mahara/1.0
Mahara Bot (dev-mahara) wrote :

Patch for "1.9_STABLE" branch: https://reviews.mahara.org/4055

Mahara Bot (dev-mahara) wrote :

Patch for "1.8_STABLE" branch: https://reviews.mahara.org/4056

Reviewed: https://reviews.mahara.org/4054
Committed: http://gitorious.org/mahara/mahara/commit/f18d705b39572533e12db5587fa1e92434885a9b
Submitter: Aaron Wells (<email address hidden>)
Branch: 1.10_STABLE

commit f18d705b39572533e12db5587fa1e92434885a9b
Author: Darren James Harkness <email address hidden>
Date: Mon Dec 1 07:15:18 2014 +1300

Using https for flickr request url (Bug #1397068)

Requires https now - used to work with http but no longer

Change-Id: I4aae1d36c532dcdfc96b5a4a673910b654ea9a2c
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4055
Committed: http://gitorious.org/mahara/mahara/commit/20810e890208ec19f03022e162e773b1abd0bfee
Submitter: Aaron Wells (<email address hidden>)
Branch: 1.9_STABLE

commit 20810e890208ec19f03022e162e773b1abd0bfee
Author: Darren James Harkness <email address hidden>
Date: Mon Dec 1 07:15:18 2014 +1300

Using https for flickr request url (Bug #1397068)

Requires https now - used to work with http but no longer

Change-Id: I4aae1d36c532dcdfc96b5a4a673910b654ea9a2c
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/4056
Committed: http://gitorious.org/mahara/mahara/commit/704ec407cf5b61f37b6cceb1493c961c30579159
Submitter: Aaron Wells (<email address hidden>)
Branch: 1.8_STABLE

commit 704ec407cf5b61f37b6cceb1493c961c30579159
Author: Darren James Harkness <email address hidden>
Date: Mon Dec 1 07:15:18 2014 +1300

Using https for flickr request url (Bug #1397068)

Requires https now - used to work with http but no longer

Change-Id: I4aae1d36c532dcdfc96b5a4a673910b654ea9a2c
Signed-off-by: Robert Lyon <email address hidden>

Robert Lyon (robertl-9) on 2015-04-17
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers